# $Revision: 1.14 $, $Date: 2005/02/13 16:53:44 $
Summary:	Power Manager daemon for Apple PowerBooks
Summary(pl):	Demon zarzdzajcy poborem energii dla komputerw Apple PowerBook
Name:		pmud
Version:	0.10.1
Release:	2
License:	GPL
Group:		Applications/System
Source0:	http://linuxppc.jvc.nl/%{name}-%{version}.tar.gz
# Source0-md5:	1bdc546199cd7e745c2cf7f560a52198
Source1:	%{name}.init
Patch0:		%{name}-pwrctl.patch
Patch1:		%{name}-fcntl.patch
URL:		http://linuxppc.jvc.nl/
Requires:	chkconfig
Requires:	dev >= 2.8.0-22
Requires:	hdparm
Provides:	apmd
ExclusiveArch:	ppc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	apmd

%description
pmud is a daemon which periodically polls the PMU (power manager) and
performs functions such as enabling or disabling devices appropriately
when the power source changes. It can also be instructed to signal
init(8) that a power-failure has occured.

%description -l pl
pmud to demon regularnie odpytujcy PMU (jednostk zarzdzajce
energi) i wykonujcy funkcje takie jak wczanie i wyczanie
urzdze odpowiednio do zmian rda zasilania. Moe take powiadomi
proces init o wystpieniu awarii zasilania.

%prep
%setup -q -n %{name}-0.10
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_bindir},%{_mandir}/man8} \
	$RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig,power}

install pmud snooze wakebay fblevel $RPM_BUILD_ROOT%{_sbindir}
install Batmon $RPM_BUILD_ROOT%{_bindir}
install xmouse $RPM_BUILD_ROOT%{_bindir}

install pmud.8 snooze.8 fblevel.8 batmon.8 $RPM_BUILD_ROOT%{_mandir}/man8
install xmouse.8 $RPM_BUILD_ROOT%{_mandir}/man8

install power.conf $RPM_BUILD_ROOT/etc/sysconfig/power
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/pmud
install pwrctl $RPM_BUILD_ROOT%{_sysconfdir}/power/pwrctl

ln -sf %{_sbindir}/snooze $RPM_BUILD_ROOT%{_bindir}/apm

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add pmud
if [ -f /var/lock/subsys/pmud ]; then
	/etc/rc.d/init.d/pmud restart >&2
else
	echo "Run \"/etc/rc.d/init.d/pmud start\" to start pmud daemon."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/pmud ]; then
		/etc/rc.d/init.d/pmud stop >&2
	fi
	/sbin/chkconfig --del pmud
fi

%files
%defattr(644,root,root,755)
%doc BUGS CHANGES INSTALL README THANKS TODO pwrctl-local
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) %{_bindir}/*
%attr(644,root,root) /etc/sysconfig/power
%attr(754,root,root) /etc/rc.d/init.d/pmud
%attr(640,root,root) %{_sysconfdir}/power/pwrctl
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pmud.spec,v $
Revision 1.14  2005/02/13 16:53:44  arekm
- rel 2 (added fcntl patch which makes daemon working)

Revision 1.13  2003/10/22 20:08:47  djurban
- reverting bogus removal

Revision 1.11  2003/09/18 14:08:42  adamg
- s/Source:/Source0:/ ; Source0-md5sum added

Revision 1.10  2003/08/28 07:29:21  speedy
- fixed url

Revision 1.9  2003/05/25 06:25:37  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/03/11 06:18:48  kloczek
- simplifications.

Revision 1.7  2003/03/11 02:12:02  speedy
- sync, release 1

Revision 1.3  2003/03/11 02:11:35  speedy
- broken mind project
- release 1

Revision 1.2  2003/03/11 02:00:19  speedy
- prefix change [/usr/X11R6 -> /usr]

Revision 1.1  2003/03/11 01:54:52  speedy
- initial kwark

Revision 1.6  2002/06/19 23:02:52  speedy
- fixed pwrctl
- new Requires

Revision 1.5  2002/06/19 22:50:33  speedy
- use restart instead of start/stop

Revision 1.4  2002/06/19 22:37:29  speedy
- mistake...

Revision 1.3  2002/06/19 22:20:08  speedy
- fixed rc-script
- release++ [0.2]
- TODO: fix pwrctl script

Revision 1.2  2002/06/19 19:56:42  qboosh
- pl descriptions, simplifications
- man for %%{_xbindir}/xmouse moved to %%{_xmandir}
- don't create devices in %%pre - require proper dev version instead

Revision 1.1  2002/06/19 14:57:43  speedy
- Power Manager daemon for Apple PowerBook [only ppc]
- initial pld release...
